body {
  color: #333333;
  display: flex;
  flex-direction: column;
  font-family: arial, sans-serif;
  max-width: 650px;
  margin: 0 auto;
  padding: 0 1rem;
  min-height: 100vh;
}

.main-content {
  flex-grow: 1;
}

header {
  margin-top: 1rem;
  margin-bottom: 3rem;
}

h1 {
  font-size: 4rem;
  margin-bottom: 1rem;
}

nav a {
  color: #888888;
  margin-right: 0.5rem;
  text-decoration: none;
}
nav a:hover {
  text-decoration: underline;
}
nav a:last-child {
  margin-right: 0;
}

footer {
  color: #888888;
  border-top: 1px solid #eeeeee;
  margin-top: 1rem;
  padding: 1rem 0;
}

.portrait {
  width: 250px;
}

input {
  border: 1px solid #cccccc;
  padding: 0.5rem;
}

button {
  cursor: pointer;
  background: #888888;
  border: 1px solid #888888;
  padding: 0.5rem;
  color: white;
}

button:disabled {
  background: #cccccc;
  border: 1px solid #cccccc;
}
